% Will Kibikas
% 4/13/22
% Viscosity Test Data - Constant Shear Rate - Temp Ramp

%% Section 0a: Load Data
close all; clear all; clc;

a = xlsread('MCBnt10Test_1-900s_12.20.22_WMK.xlsx');
b = xlsread('SDBnt10Test_ShearRamp_1-900s_11.21.22_WMK.xlsx');
c = xlsread('CFBnt10Test_1-900s_11.21.22_WMK.xlsx');
d = xlsread('CSHBnt10Test_1-900s_12.06.22_WMK.xlsx');
e = xlsread('MFBnt10Test_1-900s_11.30.22_WMK.xlsx');
f = xlsread('Bnt10Test_1-700s_RoomTemp_10.3.22_WMK.xlsx');
% g = xlsread('WaterTest_10-1000rpm_RoomTemp_6.1.22_WMK.xlsx');
% h = xlsread('WCA13Test_10-1000rpm_RoomTemp_6.2.22_WMK.xlsx');
% i = xlsread('WCA23Test_5-800s_RoomTemp_8.18.22_WMK.xlsx');
j = xlsread('FineMCBntTest_1-900s_5.9.23_WMK.xlsx');

%% Section 0b: Variables

%% Microcellulose
% 20:436
aa = a(20:436,:);
a1 = find(aa(:,1)==1);
a2 = find(aa(:,1)==2);
a3 = find(aa(:,1)==3);
a4 = find(aa(:,1)==4);
a5 = find(aa(:,1)==5);
a6 = find(aa(:,1)==6);
a7 = find(aa(:,1)==7);
a8 = find(aa(:,1)==8);
a9 = find(aa(:,1)==9);
a10 = find(aa(:,1)==10);
a11 = find(aa(:,1)==11);
a12 = find(aa(:,1)==12);
a13 = find(aa(:,1)==13);
a14 = find(aa(:,1)==14);
a15 = find(aa(:,1)==15);
a16 = find(aa(:,1)==16);

ma1=mean(aa(a1,:),1);
ma2=mean(aa(a2,:),1);
ma3=mean(aa(a3,:),1);
ma4=mean(aa(a4,:),1);
ma5=mean(aa(a5,:),1);
ma6=mean(aa(a6,:),1);
ma7=mean(aa(a7,:),1);
ma8=mean(aa(a8,:),1);
ma9=mean(aa(a9,:),1);
ma10=mean(aa(a10,:),1);
ma11=mean(aa(a11,:),1);
ma12=mean(aa(a12,:),1);
ma13=mean(aa(a13,:),1);
ma14=mean(aa(a14,:),1);
ma15=mean(aa(a15,:),1);
ma16=mean(aa(a16,:),1);
maa=[ma1;ma2;ma3;ma4;ma5;ma6;ma7;ma8;ma9;ma10;ma11;ma12;ma13;ma14;ma15;ma16];

step_mc = a(20:436,1);
t_mc = a(20:436,4);
temp_mc = a(20:436,5);
shrt_mc = a(20:436,7);
spd_mc = a(20:436,8);
shst_mc = a(20:436,13);
vsc_mc = a(20:436,14);

%% Sawdust
% 20:312
bb = b(20:312,:);
b1 = find(bb(:,1)==1);
b2 = find(bb(:,1)==2);
b3 = find(bb(:,1)==3);
b4 = find(bb(:,1)==4);
b5 = find(bb(:,1)==5);
b6 = find(bb(:,1)==6);
b7 = find(bb(:,1)==7);
b8 = find(bb(:,1)==8);
b9 = find(bb(:,1)==9);
b10 = find(bb(:,1)==10);
b11 = find(bb(:,1)==11);

mb1=mean(bb(b1,:),1);
mb2=mean(bb(b2,:),1);
mb3=mean(bb(b3,:),1);
mb4=mean(bb(b4,:),1);
mb5=mean(bb(b5,:),1);
mb6=mean(bb(b6,:),1);
mb7=mean(bb(b7,:),1);
mb8=mean(bb(b8,:),1);
mb9=mean(bb(b9,:),1);
mb10=mean(bb(b10,:),1);
mb11=mean(bb(b11,:),1);
mbb=[mb1;mb2;mb3;mb4;mb5;mb6;mb7;mb8;mb9;mb10;mb11];

step_sd = b(20:312,1);
t_sd = b(20:312,4);
temp_sd = b(20:312,5);
shrt_sd = b(20:312,7);
spd_sd = b(20:312,8);
shst_sd = b(20:312,13);
vsc_sd = b(20:312,14);

%% Cedar Fiber
% 20:439
cc = c(26:345,:);
c1 = find(cc(:,1)==1);
c2 = find(cc(:,1)==2);
c3 = find(cc(:,1)==3);
c4 = find(cc(:,1)==4);
c5 = find(cc(:,1)==5);
c6 = find(cc(:,1)==6);
c7 = find(cc(:,1)==7);
c8 = find(cc(:,1)==8);
c9 = find(cc(:,1)==9);
c10 = find(cc(:,1)==10);
c11 = find(cc(:,1)==11);
c12 = find(cc(:,1)==12);
c13 = find(cc(:,1)==13);
c14 = find(cc(:,1)==14);
c15 = find(cc(:,1)==15);
c16 = find(cc(:,1)==16);

mc1=mean(cc(c1,:),1);
mc2=mean(cc(c2,:),1);
mc3=mean(cc(c3,:),1);
mc4=mean(cc(c4,:),1);
mc5=mean(cc(c5,:),1);
mc6=mean(cc(c6,:),1);
mc7=mean(cc(c7,:),1);
mc8=mean(cc(c8,:),1);
mc9=mean(cc(c9,:),1);
mc10=mean(cc(c10,:),1);
mc11=mean(cc(c11,:),1);
mc12=mean(cc(c12,:),1);
mc13=mean(cc(c13,:),1);
mc14=mean(cc(c14,:),1);
mc15=mean(cc(c15,:),1);
mc16=mean(cc(c16,:),1);
mcc=[mc1;mc2;mc3;mc4;mc5;mc6;mc7;mc8;mc9;mc10;mc11;mc12;mc13;mc14;mc15;mc16];

step_cf = c(20:439,1);
t_cf = c(20:439,4);
temp_cf = c(20:439,5);
shrt_cf = c(20:439,7);
spd_cf = c(20:439,8);
shst_cf = c(20:439,13);
vsc_cf = c(20:439,14);

%% Cotton Seed Hulls
% 20:436
dd = d(20:436,:);
d1 = find(dd(:,1)==1);
d2 = find(dd(:,1)==2);
d3 = find(dd(:,1)==3);
d4 = find(dd(:,1)==4);
d5 = find(dd(:,1)==5);
d6 = find(dd(:,1)==6);
d7 = find(dd(:,1)==7);
d8 = find(dd(:,1)==8);
d9 = find(dd(:,1)==9);
d10 = find(dd(:,1)==10);
d11 = find(dd(:,1)==11);
d12 = find(dd(:,1)==12);
d13 = find(dd(:,1)==13);
d14 = find(dd(:,1)==14);
d15 = find(dd(:,1)==15);
d16 = find(dd(:,1)==16);

md1=mean(dd(d1,:),1);
md2=mean(dd(d2,:),1);
md3=mean(dd(d3,:),1);
md4=mean(dd(d4,:),1);
md5=mean(dd(d5,:),1);
md6=mean(dd(d6,:),1);
md7=mean(dd(d7,:),1);
md8=mean(dd(d8,:),1);
md9=mean(dd(d9,:),1);
md10=mean(dd(d10,:),1);
md11=mean(dd(d11,:),1);
md12=mean(dd(d12,:),1);
md13=mean(dd(d13,:),1);
md14=mean(dd(d14,:),1);
md15=mean(dd(d15,:),1);
md16=mean(dd(d16,:),1);
mdd=[md2;md3;md4;md5;md6;md7;md8;md9;md10;md11;md12;md13;md14;md15;md16];

step_csh = d(20:436,1);
t_csh = d(20:436,4);
temp_csh = d(20:436,5);
shrt_csh = d(20:436,7);
spd_csh = d(20:436,8);
shst_csh = d(20:436,13);
vsc_csh = d(20:436,14);

%% Magma Fiber
% 27:384
ee = e(27:384,:);
e1 = find(ee(:,1)==1);
e2 = find(ee(:,1)==2);
e3 = find(ee(:,1)==3);
e4 = find(ee(:,1)==4);
e5 = find(ee(:,1)==5);
e6 = find(ee(:,1)==6);
e7 = find(ee(:,1)==7);
e8 = find(ee(:,1)==8);
e9 = find(ee(:,1)==9);
e10 = find(ee(:,1)==10);
e11 = find(ee(:,1)==11);
e12 = find(ee(:,1)==12);
e13 = find(ee(:,1)==13);

me1=mean(ee(e1,:),1);
me2=mean(ee(e2,:),1);
me3=mean(ee(e3,:),1);
me4=mean(ee(e4,:),1);
me5=mean(ee(e5,:),1);
me6=mean(ee(e6,:),1);
me7=mean(ee(e7,:),1);
me8=mean(ee(e8,:),1);
me9=mean(ee(e9,:),1);
me10=mean(ee(e10,:),1);
me11=mean(ee(e11,:),1);
me12=mean(ee(e12,:),1);
me13=mean(ee(e13,:),1);
mee=[me2;me3;me4;me5;me6;me7;me9;me10;me11;me12;me13];

step_mf = e(27:384,1);
t_mf = e(27:384,4);
temp_mf = e(27:384,5);
shrt_mf = e(27:384,7);
spd_mf = e(27:384,8);
shst_mf = e(27:384,13);
vsc_mf = e(27:384,14);

%% Bentonite
% 20:420
ff = f(20:420,:);
f1 = find(ff(:,1)==1);
f2 = find(ff(:,1)==2);
f3 = find(ff(:,1)==3);
f4 = find(ff(:,1)==4);
f5 = find(ff(:,1)==5);
f6 = find(ff(:,1)==6);
f7 = find(ff(:,1)==7);
f8 = find(ff(:,1)==8);
f9 = find(ff(:,1)==9);
f10 = find(ff(:,1)==10);
f11 = find(ff(:,1)==11);
f12 = find(ff(:,1)==12);
f13 = find(ff(:,1)==13);
f14 = find(ff(:,1)==14);
f15 = find(ff(:,1)==15);

mf1=mean(ff(f1,:),1);
mf2=mean(ff(f2,:),1);
mf3=mean(ff(f3,:),1);
mf4=mean(ff(f4,:),1);
mf5=mean(ff(f5,:),1);
mf6=mean(ff(f6,:),1);
mf7=mean(ff(f7,:),1);
mf8=mean(ff(f8,:),1);
mf9=mean(ff(f9,:),1);
mf10=mean(ff(f10,:),1);
mf11=mean(ff(f11,:),1);
mf12=mean(ff(f12,:),1);
mf13=mean(ff(f13,:),1);
mf14=mean(ff(f14,:),1);
mf15=mean(ff(f15,:),1);
mff=[mf1;mf2;mf3;mf4;mf5;mf6;mf7;mf8;mf9;mf10;mf11;mf12;mf13;mf14;mf15];

step_bnt = f(20:420,1);
t_bnt = f(20:420,4);
temp_bnt = f(20:420,5);
shrt_bnt = f(20:420,7);
spd_bnt = f(20:420,8);
shst_bnt = f(20:420,13);
vsc_bnt = f(20:420,14);


%% Water
% % 12:260
% gg = g(12:260,:);
% gg(isnan(gg))=0;
% g1 = find(gg(:,1)==1);
% g2 = find(gg(:,1)==2);
% g3 = find(gg(:,1)==3);
% g4 = find(gg(:,1)==4);
% g5 = find(gg(:,1)==5);
% g6 = find(gg(:,1)==6);
% g7 = find(gg(:,1)==7);
% g8 = find(gg(:,1)==8);
% g9 = find(gg(:,1)==9);
% 
% mg1=mean(gg(g1,:),1);
% mg2=mean(gg(g2,:),1);
% mg3=mean(gg(g3,:),1);
% mg4=mean(gg(g4,:),1);
% mg5=mean(gg(g5,:),1);
% mg6=mean(gg(g6,:),1);
% mg7=mean(gg(g7,:),1);
% mg8=mean(gg(g8,:),1);
% mg9=mean(gg(g9,:),1);
% mgg=[mg1;mg2;mg3;mg4;mg5;mg7;mg8;mg9];
% 
% step_wat = g(12:260,1);
% t_wat = g(12:260,4);
% temp_wat = g(12:260,5);
% shrt_wat = g(12:260,7);
% spd_wat = g(12:260,8);
% shst_wat = g(12:260,13);
% vsc_wat = g(12:260,14);

%% WCA 100-300
% 12:249
% hh = h(12:249,:);
% h1 = find(hh(:,1)==1);
% h2 = find(hh(:,1)==2);
% h3 = find(hh(:,1)==3);
% h4 = find(hh(:,1)==4);
% h5 = find(hh(:,1)==5);
% h6 = find(hh(:,1)==6);
% h7 = find(hh(:,1)==7);
% h8 = find(hh(:,1)==8);
% h9 = find(hh(:,1)==9);
% 
% mh1=mean(hh(h1,:),1);
% mh2=mean(hh(h2,:),1);
% mh3=mean(hh(h3,:),1);
% mh4=mean(hh(h4,:),1);
% mh5=mean(hh(h5,:),1);
% mh6=mean(hh(h6,:),1);
% mh7=mean(hh(h7,:),1);
% mh8=mean(hh(h8,:),1);
% mh9=mean(hh(h9,:),1);
% mhh=[mh1;mh2;mh3;mh4;mh5;mh7;mh8;mh9];
% 
% step_wca1 = h(12:249,1);
% t_wca1 = h(12:249,4);
% temp_wca1 = h(12:249,5);
% shrt_wca1 = h(12:249,7);
% spd_wca1 = h(12:249,8);
% shst_wca1 = h(12:249,13);
% vsc_wca1 = h(12:249,14);

%% WCA 200-300
% 12:334
% ii = i(12:334,:);
% i1 = find(ii(:,1)==1);
% i2 = find(ii(:,1)==2);
% i3 = find(ii(:,1)==3);
% i4 = find(ii(:,1)==4);
% i5 = find(ii(:,1)==5);
% i6 = find(ii(:,1)==6);
% i7 = find(ii(:,1)==7);
% i8 = find(ii(:,1)==8);
% i9 = find(ii(:,1)==9);
% i10 = find(ii(:,1)==10);
% i11 = find(ii(:,1)==11);
% i12 = find(ii(:,1)==12);
% 
% mi1=mean(ii(i1,:),1);
% mi2=mean(ii(i2,:),1);
% mi3=mean(ii(i3,:),1);
% mi4=mean(ii(i4,:),1);
% mi5=mean(ii(i5,:),1);
% mi6=mean(ii(i6,:),1);
% mi7=mean(ii(i7,:),1);
% mi8=mean(ii(i8,:),1);
% mi9=mean(ii(i9,:),1);
% mi10=mean(ii(i10,:),1);
% mi11=mean(ii(i11,:),1);
% mi12=mean(ii(i12,:),1);
% mii=[mi1;mi2;mi3;mi4;mi5;mi7;mi8;mi9;mi10;mi11;mi12];
% 
% step_wca2 = i(12:334,1);
% t_wca2 = i(12:334,4);
% temp_wca2 = i(12:334,5);
% shrt_wca2 = i(12:334,7);
% spd_wca2 = i(12:334,8);
% shst_wca2 = i(12:334,13);
% vsc_wca2 = i(12:334,14);

%% Fine Microcellulose
% 12:448
jj = j(12:448,:);
j1 = find(jj(:,1)==1);
j2 = find(jj(:,1)==2);
j3 = find(jj(:,1)==3);
j4 = find(jj(:,1)==4);
j5 = find(jj(:,1)==5);
j6 = find(jj(:,1)==6);
j7 = find(jj(:,1)==7);
j8 = find(jj(:,1)==8);
j9 = find(jj(:,1)==9);
j10 = find(jj(:,1)==10);
j11 = find(jj(:,1)==11);
j12 = find(jj(:,1)==12);
j13 = find(jj(:,1)==13);
j14 = find(jj(:,1)==14);
j15 = find(jj(:,1)==15);

mj1=mean(jj(j1,:),1);
mj2=mean(jj(j2,:),1);
mj3=mean(jj(j3,:),1);
mj4=mean(jj(j4,:),1);
mj5=mean(jj(j5,:),1);
mj6=mean(jj(j6,:),1);
mj7=mean(jj(j7,:),1);
mj8=mean(jj(j8,:),1);
mj9=mean(jj(j9,:),1);
mj10=mean(jj(j10,:),1);
mj11=mean(jj(j11,:),1);
mj12=mean(jj(j12,:),1);
mj13=mean(jj(j13,:),1);
mj14=mean(jj(j14,:),1);
mj15=mean(jj(j15,:),1);
mjj=[mj1;mj2;mj3;mj4;mj5;mj6;mj7;mj8;mj9;mj10;mj11;mj12;mj13;mj14;mj15];

step_fmc = j(12:448,1);
t_fmc = j(12:448,4);
temp_fmc = j(12:448,5);
shrt_fmc = j(12:448,7);
spd_fmc = j(12:448,8);
shst_fmc = j(12:448,13);
vsc_fmc = j(12:448,14);

%% Section 1a: Plot Parameters vs Time

figure(1);
%r1 = plot(shrt_mc,shst_mc,'-.');
r1 = plot(maa(1:end-2,7),maa(1:end-2,13),'-.');
set(r1,'color',[1 0 0]);
hold on;

% r1 = plot(shrt_sd,shst_sd,'-.');
r1 = plot(mbb(1:end-2,7),mbb(1:end-2,13),'-.');
set(r1,'color',[0 0 1]);
hold on;

% r1 = plot(shrt_cf,shst_cf,'-.');
r1 = plot(mcc(1:end-2,7),mcc(1:end-2,13),'-.');
set(r1,'color',[0 .6 0]);
hold on;
legend('Cedar Fiber - 5 lb/bbl');

%r1 = plot(shrt_csh,shst_csh,'-.');
r1 = plot(mdd(1:end-2,7),mdd(1:end-2,13),'-.');
set(r1,'color',[.6 0 .6]);
hold on;

% r1 = plot(shrt_mf,shst_mf,'-.');
% r1 = plot(mee(1:end-2,7),mee(1:end-2,13),'-.');
% set(r1,'color',[1 .5 0]);
% hold on;
% legend('Magma Fiber - 5 lb/bbl');

% r1 = plot(shrt_bnt,shst_bnt,'-.');
r1 = plot(mff(1:end-2,7),mff(1:end-2,13),'-.');
set(r1,'color',[0 0 0]);
hold on;

% r1 = plot(mhh(1:end,7),mhh(1:end,13),'-.');
% set(r1,'color',[.4 1 .2]);
% hold on;
% 
% r1 = plot(mii(1:end,7),mii(1:end,13),'-.');
% set(r1,'color',[1 .2 .6]);
% hold on;
% 
% % r1 = plot(shrt_bnt,shst_bnt,'-.');
% r1 = plot(mgg(1:end,7),mgg(1:end,13),'-.');
% set(r1,'color',[.7 .7 .7]);
% hold on;

set(gca,'YScale','log')
% legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Xanthan Gum - 0.5 lb/bbl','WCA 100-300 - 55 lb/bbl','Water');
legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Xanthan Gum - 0.5 lb/bbl','WCA 100-300 - 55 lb/bbl','WCA 200-300 - 55 lb/bbl','Water');

%% Section 1b: Plot Rate vs Viscosity

figure(2);
subplot(1,2,1);
r1 = semilogx(maa(1:end-2,7),maa(1:end-2,14),'o-'); % mc
set(r1,'color',[1 0 0],'markersize',5);
hold on;
r2 = semilogx(mbb(1:end-2,7),mbb(1:end-2,14),'^-'); % sd
set(r2,'color',[0 0 1],'markersize',5);
hold on;
r3 = semilogx(mcc(1:end-2,7),mcc(1:end-2,14),'s-'); % cf
set(r3,'color',[0 .6 0],'markersize',5);
hold on;
r4 = semilogx(mdd(1:end-2,7),mdd(1:end-2,14),'p-'); % csh
set(r4,'color',[.6 0 .6],'markersize',5);
hold on;
% r5 = semilogx(mee(1:end-2,7),mee(1:end-2,14),'d-'); % mf
% set(r5,'color',[1 .4 0],'markersize',5);
% hold on;
r6 = semilogx(mff(1:end-2,7),mff(1:end-2,14),'*-'); % xg
set(r6,'color',[.7 .7 .7],'markersize',5);
hold on;
r8 = plot(mjj(3:end,7),mjj(3:end,14),'o-'); % fmc
set(r8,'color',[.4 .2 .8]);
hold on;


% r0 = semilogx(mgg(2:end-1,7),mgg(2:end-1,14),'+-'); % wat
% set(r0,'color',[0 0 0],'markersize',5);
% hold on;

len = 300;

% text(250,15,'Mass Ratio:')
% text(250,14,'Water = 98.4%')
% text(250,13,'LCM = 1.4%')
% text(250,12,'XG = 0.2%')

%set(gca,'XScale','log');
set(gca,'YScale','log');
xlabel('Shear Rate (s^{-1})');ylabel('Viscosity (mPa*s)');
xlim([1,1100]);ylim([1E-1 .5E2]);

% legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Xanthan Gum - 0.5 lb/bbl','Water');
hold on;

subplot(1,2,2);
r1 = semilogx(maa(1:end-2,7),maa(1:end-2,14),'o-'); % mc
set(r1,'color',[1 0 0],'markersize',5);
hold on;
r2 = semilogx(mbb(1:end-2,7),mbb(1:end-2,14),'^-'); % sd
set(r2,'color',[0 0 1],'markersize',5);
hold on;
r3 = semilogx(mcc(1:end-2,7),mcc(1:end-2,14),'s-'); % cf
set(r3,'color',[0 .6 0],'markersize',5);
hold on;
r4 = semilogx(mdd(1:end-2,7),mdd(1:end-2,14),'p-'); % csh
set(r4,'color',[.6 0 .6],'markersize',5);
hold on;
r5 = semilogx(mee(1:end-2,7),mee(1:end-2,14),'d-'); % mf
set(r5,'color',[1 .4 0],'markersize',5);
hold on;
r6 = semilogx(mff(1:end-2,7),mff(1:end-2,14),'*-'); % xg
set(r6,'color',[.7 .7 .7],'markersize',5);
hold on;
r8 = plot(mjj(3:end,7),mjj(3:end,14),'o-'); % fmc
set(r8,'color',[.4 .2 .8]);
hold on;


% r0 = semilogx(mgg(2:end-1,7),mgg(2:end-1,14),'+-'); % wat
% set(r0,'color',[0 0 0],'markersize',5);
% hold on;
% 
% r7 = semilogx(mhh(1:end,7),mhh(1:end,14),'-x'); % wca1
% set(r7,'color',[.4 1 .2]);
% hold on;
% r8 = semilogx(mii(2:end,7),mii(2:end,14),'-*'); % wca2
% set(r8,'color',[1 .2 .6]);
% hold on;

len = 300;

% text(12,8000,'Mass Ratio:')
% text(12,8000-500,'Water = 86.4%')
% text(12,8000-1000,'WCA 100/200 = 3.7%')
% text(12,8000-1500,'WCA 300 = 9.9%')

set(gca,'YScale','log');
xlabel('Shear Rate (s^{-1})');ylabel('Viscosity (mPa*s)');
xlim([1,1100]);ylim([1E-1 1E4]);

% legend('WCA 100-300 - 55 lb/bbl','WCA 200-300 - 55 lb/bbl');

%% Find Fit

faa = fit(maa(1:end-1,7),maa(1:end-1,14),'b*x^m');
fbb = fit(mbb(1:end-1,7),mbb(1:end-1,14),'b*x^m');
fcc = fit(mcc(1:end-1,7),mcc(1:end-1,14),'b*x^m');
fdd = fit(mdd(1:end-1,7),mdd(1:end-1,14),'b*x^m');
% fee = fit(mee(1:end-1,7),mee(1:end-1,14),'b*x^m');
fff = fit(mff(1:end-1,7),mff(1:end-1,14),'b*x^m');
% fgg = fit(mgg(3:end,7),mgg(3:end,14),'m*x+b');
% fhh = fit(mhh(1:end,7),mhh(1:end,14),'b*x^m');
% fii = fit(mii(1:end,7),mii(1:end,14),'b*x^m');

figure(3);
r1 = plot(maa(1:end-1,7),maa(1:end-1,14),'o-');
set(r1,'color',[1 0 0],'markersize',5);
hold on;
r2 = plot(mbb(1:end-1,7),mbb(1:end-1,14),'^-');
set(r2,'color',[0 0 1],'markersize',5);
hold on;
r3 = plot(mcc(1:end-1,7),mcc(1:end-1,14),'s-');
set(r3,'color',[0 .6 0],'markersize',5);
hold on;
r4 = plot(mdd(1:end-1,7),mdd(1:end-1,14),'p-');
set(r4,'color',[.6 0 .6],'markersize',5);
hold on;
% r5 = plot(mee(1:end-1,7),mee(1:end-1,14),'*-');
% set(r5,'color',[1 .5 0],'markersize',5);
% hold on;
% r6 = plot(mgg(1:end-1,7),mgg(1:end-1,14),'+-');
% set(r6,'color',[.7 .7 .7],'markersize',5);
% hold on;
% r7 = plot(mhh(1:end,7),mhh(1:end,14),'x-');
% set(r7,'color',[.4 1 .2],'markersize',5);
% hold on;
% r8 = plot(mii(1:end,7),mii(1:end,14),'*-');
% set(r8,'color',[1 .2 .6],'markersize',5);
% hold on;

r0 = plot(mff(1:end-1,7),mff(1:end-1,14),'.-');
set(r0,'color',[0 0 0],'markersize',5);
hold on;

set(gca,'YScale','log');
xlabel('Shear Rate (s^{-1})');ylabel('Viscosity (mPa*s)');
xlim([0,1000]); %ylim([0 25]);

% legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Xanthan Gum - 0.5 lb/bbl','WCA 100-300 - 55 lb/bbl','Water');
legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Xanthan Gum - 0.5 lb/bbl','WCA 100-300 - 55 lb/bbl','WCA 200-300 - 55 lb/bbl','Water');

%% Section ?: Plot Modeled Viscosity

figure(4);
r1 = plot(faa, '--');
set(r1,'color',[1 0 0],'markersize',5);
hold on;
r2 = plot(fbb,'--');
set(r2,'color',[0 0 1],'markersize',5);
hold on;
r3 = plot(fcc,'--');
set(r3,'color',[0 .6 0],'markersize',5);
hold on;
r4 = plot(fdd, '--');
set(r4,'color',[.6 0 .6],'markersize',5);
hold on;
r5 = plot(fee,'--');
set(r5,'color',[1 .4 0],'markersize',5);
hold on;
r6 = plot(fff,'--');
set(r6,'color',[.7 .7 .7],'markersize',5);
hold on;
r7 = plot(fhh,'--');
set(r7,'color',[.4 1 .2],'markersize',5);
hold on;
r8 = plot(fii,'--');
set(r8,'color',[1 .2 .6],'markersize',5);
hold on;
r0 = plot(fgg,'--');
set(r0,'color',[0 0 0],'markersize',5);
hold on;


% set(gca,'XScale','log');
set(gca,'YScale','log');

xlabel('Shear Rate (s^{-1})');ylabel('Viscosity (mPa*s)');
% xlim([0,1100]); ylim([0 30]);

legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Xanthan Gum - 0.5 lb/bbl','WCA 100-300 - 55 lb/bbl','Water');
% legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Xanthan Gum - 0.5 lb/bbl','WCA 200-300 - 55 lb/bbl','WCA 100-300 - 55 lb/bbl','Water');

