% Will Kibikas
% 1/9/23
% Viscosity Test Data - Constant Shear Rate - Temp Ramp

%% Section 0a: Load Data
close all; clear all; clc;

a = xlsread('MCBnt10Test_100rpm_25-90C_12.20.22_WMK.xlsx');
b = xlsread('SDBnt10Test_100rpm_25-90C_11.21.22_WMK.xlsx');
c = xlsread('CFBnt10Test_100rpm_25-90C_11.21.22_WMK.xlsx');
d = xlsread('CSHBnt10Test_100rpm_25-90C_12.06.22_WMK.xlsx');
e = xlsread('MFBnt10Test_100rpm_25-90C_11.30.22_WMK.xlsx');
f = xlsread('Bnt10Test_100rpm_25-90Ramp_10.3.22_WMK.xlsx');
% g = xlsread('WaterTest_100rpm_25-90CRamp_6.1.22_WMK.xlsx');
% h = xlsread('WCA13Test_100rpm_25-90CRamp_6.2.22_WMK.xlsx');
% i = xlsread('WCA23Test_100rpm_25-90CRamp_8.22.22_WMK.xlsx');
j = xlsread('FineMCBnt10Test_100rpm_25-90C_5.9.23_WMK.xlsx');

%% Average of every nth rows

aa = a(12:556,:);
bb = b(12:784,:);
cc = c(12:687,:);
dd = d(12:600,:);
ee = e(17:750,:);
ff = f(12:636,:);
% gg = g(12:end,:);
% hh = h(12:end,:);
% ii = i(12:end,:);
jj = j(12:end,:);

n = 10
ar = movmean(aa,[(n-1) 0]);
am = ar(n:n:end,:)
br = movmean(bb,[(n-1) 0]);
bm = br(n:n:end,:)
cr = movmean(cc,[(n-1) 0]);
cm = cr(n:n:end,:)
dr = movmean(dd,[(n-1) 0]);
dm = dr(n:n:end,:)
er = movmean(ee,[(n-1) 0]);
em = er(n:n:end,:)
fr = movmean(ff,[(n-1) 0]);
fm = fr(n:n:end,:)
% gr = movmean(gg,[(n-1) 0]);
% gm = gr(n:n:end,:)
% hr = movmean(hh,[(n-1) 0]);
% hm = hr(n:n:end,:)
% ir = movmean(ii,[(n-1) 0]);
% im = ir(n:n:end,:)
jr = movmean(jj,[(n-1) 0]);
jm = jr(n:n:end,:)

% bt = [b(16:182,4);b(183:540,4)+b(182,4)];
% btr = movmean(bt,[(n-1) 0]);
% btm = btr(n:n:end,:)

%% Section 0b: Variables

% cc = c(12:687,:);
% dd = d(12:600,:);
% ee = e(17:750,:);
% ff = f(12:636,:);

% Coarse Microcellulose
% 12:556
step_mc = a(12:556,1);
t_mc = a(12:556,4);
temp_mc = a(12:556,5);
shrt_mc = a(12:556,7);
spd_mc = a(12:556,8);
shst_mc = a(12:556,13);
vsc_mc = a(12:556,14);

% Sawdust
% 12:784
step_sd = b(12:784,1);
t_sd = [b(12:784,4)];
temp_sd = b(12:784,5);
shrt_sd = b(12:784,7);
spd_sd = b(12:784,8);
shst_sd = b(12:784,13);
vsc_sd = b(12:784,14);


% Cedar Fiber
% 12:687
step_cf = c(12:687,1);
t_cf = c(12:687,4);
temp_cf = c(12:687,5);
shrt_cf = c(12:687,7);
spd_cf = c(12:687,8);
shst_cf = c(12:687,13);
vsc_cf = c(12:687,14);


% Cotton Seed Hulls
% 12:600
step_csh = d(12:600,1);
t_csh = d(12:600,4);
temp_csh = d(12:600,5);
shrt_csh = d(12:600,7);
spd_csh = d(12:600,8);
shst_csh = d(12:600,13);
vsc_csh = d(12:600,14);


% Magma Fiber
% 17:750
% step_mf = e(17:750,1);
% t_mf = e(17:750,4);
% temp_mf = e(17:750,5);
% shrt_mf = e(17:750,7);
% spd_mf = e(17:750,8);
% shst_mf = e(17:750,13);
% vsc_mf = e(17:750,14);

% Bentonite
% 12:636
step_bnt = f(12:636,1);
t_bnt = f(12:636,4);
temp_bnt = f(12:636,5);
shrt_bnt = f(12:636,7);
spd_bnt = f(12:636,8);
shst_bnt = f(12:636,13);
vsc_bnt = f(12:636,14);

% % Water
% % 12:end
% step_wat = g(12:end,1);
% t_wat = g(12:end,4);
% temp_wat = g(12:end,5);
% shrt_wat = g(12:end,7);
% spd_wat = g(12:end,8);
% shst_wat = g(12:end,13);
% vsc_wat = g(12:end,14);

% WCA 100-300
% 12:end
% step_wca1 = h(12:end,1);
% t_wca1 = h(12:end,4);
% temp_wca1 = h(12:end,5);
% shrt_wca1 = h(12:end,7);
% spd_wca1 = h(12:end,8);
% shst_wca1 = h(12:end,13);
% vsc_wca1 = h(12:end,14);

% WCA 200-300
% 12:end
% step_wca2 = i(12:end,1);
% t_wca2 = i(12:end,4);
% temp_wca2 = i(12:end,5);
% shrt_wca2 = i(12:end,7);
% spd_wca2 = i(12:end,8);
% shst_wca2 = i(12:end,13);
% vsc_wca2 = i(12:end,14);

% Coarse Microcellulose
% 40:393
step_fmc = j(12:end,1);
t_fmc = j(12:end,4);
temp_fmc = j(12:end,5);
shrt_fmc = j(12:end,7);
spd_fmc = j(12:end,8);
shst_fmc = j(12:end,13);
vsc_fmc = j(12:end,14);

%% Section 0c: Variables - Averages

% Microcellulose
step_mc = am(:,1);
t_mc = am(:,4);
temp_mc = am(:,5);
shrt_mc = am(:,7);
spd_mc = am(:,8);
shst_mc = am(:,13);
vsc_mc = am(:,14);

% Sawdust
step_sd = bm(:,1);
t_sd = bm(:,4);
temp_sd = bm(:,5);
shrt_sd = bm(:,7);
spd_sd = bm(:,8);
shst_sd = bm(:,13);
vsc_sd = bm(:,14);

% Cedar Fiber
step_cf = cm(:,1);
t_cf = cm(:,4);
temp_cf = cm(:,5);
shrt_cf = cm(:,7);
spd_cf = cm(:,8);
shst_cf = cm(:,13);
vsc_cf = cm(:,14);

% Cotton Seed Hulls
step_csh = dm(:,1);
t_csh = dm(:,4);
temp_csh = dm(:,5);
shrt_csh = dm(:,7);
spd_csh = dm(:,8);
shst_csh = dm(:,13);
vsc_csh = dm(:,14);

% Magma Fiber
step_mf = em(:,1);
t_mf = em(:,4);
temp_mf = em(:,5);
shrt_mf = em(:,7);
spd_mf = em(:,8);
shst_mf = em(:,13);
vsc_mf = em(:,14);

% Bentonite
step_bnt = fm(:,1);
t_bnt = fm(:,4);
temp_bnt = fm(:,5);
shrt_bnt = fm(:,7);
spd_bnt = fm(:,8);
shst_bnt = fm(:,13);
vsc_bnt = fm(:,14);

% Water
% step_wat = gm(:,1);
% t_wat = gm(:,4);
% temp_wat = gm(:,5);
% shrt_wat = gm(:,7);
% spd_wat = gm(:,8);
% shst_wat = gm(:,13);
% vsc_wat = gm(:,14);

% WCA 100-300
% step_wca1 = hm(:,1);
% t_wca1 = hm(:,4);
% temp_wca1 = hm(:,5);
% shrt_wca1 = hm(:,7);
% spd_wca1 = hm(:,8);
% shst_wca1 = hm(:,13);
% vsc_wca1 = hm(:,14);

% WCA 200-300
% step_wca2 = im(:,1);
% t_wca2 = im(:,4);
% temp_wca2 = im(:,5);
% shrt_wca2 = im(:,7);
% spd_wca2 = im(:,8);
% shst_wca2 = im(:,13);
% vsc_wca2 = im(:,14);

% Fine Microcellulose
step_fmc = jm(:,1);
t_fmc = jm(:,4);
temp_fmc = jm(:,5);
shrt_fmc = jm(:,7);
spd_fmc = jm(:,8);
shst_fmc = jm(:,13);
vsc_fmc = jm(:,14);

%% Section 1a: Plot Parameters vs Time

figure(1);
subplot(1,6,1);
r1 = plot(t_mc,temp_mc,'.');
set(r1,'color',[1 0 0]);
hold on;
% r2 = plot(t_mc,shst_mc,'.');
% set(r2,'color',[0 0 1]);
hold on;
axis([0 70 10 100]);
xlabel('Time (min)');
ylabel('Temperature (C)');
yyaxis right;
r3 = plot(t_mc,vsc_mc,'-.');
set(r3,'color',[0 0 1]);
hold on;
axis([0 70 0 6]);
xlabel('Time (min)');
ylabel('Viscosity (mPa*s)');

subplot(1,6,2);
r1 = plot(t_sd,temp_sd,'-.');
set(r1,'color',[1 0 0]);
hold on;
% r2 = plot(t_sd,shst_sd,'.');
% set(r2,'color',[0 0 1]);
hold on;
axis([0 70 10 100]);
xlabel('Time (min)');
ylabel('Temperature (C)');
yyaxis right;
r3 = plot(t_sd,vsc_sd,'-.');
set(r3,'color',[0 0 1]);

hold on;
axis([0 70 0 6]);
xlabel('Time (min)');
ylabel('Viscosity (mPa*s)');

subplot(1,6,3);
r1 = plot(t_cf,temp_cf,'-.');
set(r1,'color',[1 0 0]);
hold on;
% r2 = plot(t_cf,shst_cf,'.');
% set(r2,'color',[0 0 1]);
hold on;
axis([0 70 10 100]);
xlabel('Time (min)');
ylabel('Temperature (C)');
yyaxis right;
r3 = plot(t_cf,vsc_cf,'-.');
set(r3,'color',[0 0 1]);

hold on;
axis([0 70 0 6]);
xlabel('Time (min)');
ylabel('Viscosity (mPa*s)');

subplot(1,6,4);
r1 = plot(t_csh,temp_csh,'-.');
set(r1,'color',[1 0 0]);
hold on;
% r2 = plot(t_csh,shst_csh,'.');
% set(r2,'color',[0 0 1]);
hold on;
axis([0 70 10 100]);
xlabel('Time (min)');
ylabel('Temperature (C)');
yyaxis right;
r3 = plot(t_csh,vsc_csh,'-.');
set(r3,'color',[0 0 1]);
hold on;
axis([0 70 0 6]);
xlabel('Time (min)');
ylabel('Viscosity (mPa*s)');

subplot(1,6,5);
% r1 = plot(t_mf,temp_mf,'-.');
% set(r1,'color',[1 0 0]);
% hold on;
% % r2 = plot(t_mf,shst_mf,'.');
% % set(r2,'color',[0 0 1]);
% hold on;
% axis([0 70 10 100]);
% xlabel('Time (min)');
% ylabel('Temperature (C)');
% yyaxis right;
% r3 = plot(t_mf,vsc_mf,'-.');
% set(r3,'color',[0 0 1]);
% hold on;
axis([0 70 0 6]);
xlabel('Time (min)');
ylabel('Viscosity (mPa*s)');

subplot(1,6,6);
r1 = plot(t_bnt,temp_bnt,'-.');
set(r1,'color',[1 0 0]);
hold on;
% r2 = plot(t_bnt,shst_bnt,'.');
% set(r2,'color',[0 0 1]);
hold on;
axis([0 70 10 100]);
xlabel('Time (min)');
ylabel('Temperature (C)');
yyaxis right;
r3 = plot(t_bnt,vsc_bnt,'-.');
set(r3,'color',[0 0 1]);
hold on;
axis([0 70 0 6]);
xlabel('Time (min)');
ylabel('Viscosity (mPa*s)');

set(gca,'XColor','none')


%% Section 1b: Plot Temp vs Viscosity

figure(2);
subplot(1,2,1);
r1 = plot(temp_mc,vsc_mc,'-o');
set(r1,'color',[1 0 0]);
hold on;
r2 = plot(temp_sd,vsc_sd,'-^');
set(r2,'color',[0 0 1]);
hold on;
r3 = plot(temp_cf,vsc_cf,'-s');
set(r3,'color',[0 .6 0]);
hold on;
r4 = plot(temp_csh,vsc_csh,'-p');
set(r4,'color',[.6 0 .6]);
hold on;
r5 = plot(temp_mf,vsc_mf*1.5,'-d');
set(r5,'color',[1 .5 0]);
hold on;
r6 = plot(temp_bnt,vsc_bnt,'-*');
set(r6,'color',[.7 .7 .7]);
hold on;
r8 = plot(temp_fmc,vsc_fmc,'-o');
set(r8,'color',[.4 .2 .8]);
hold on;

% r0 = plot(temp_wat,vsc_wat,'-+');
% set(r0,'color',[0 0 0]);
% hold on;

axis([15 95 1E-1 1E2]);
set(gca,'YScale','log');
xlabel('Temperature (C^{o})');ylabel('Viscosity (mPa*s)');
legend('Microcellulose - 5 lb/bbl','Sawdust - 5 lb/bbl','Cedar Fiber - 5 lb/bbl','Cotton Seed Hulls - 5 lb/bbl','Magma Fiber - 5 lb/bbl','Bentonite - 12 lb/bbl','Fine Microcellulose');


subplot(1,2,2);
% r7 = plot(temp_wca1,vsc_wca1,'x-');
% set(r7,'color',[.4 1 .2],'markersize',5);
% hold on;
% r7 = plot(temp_wca2,vsc_wca2,'*-');
% set(r7,'color',[1 .2 .6],'markersize',5);
% hold on;

r1 = plot(temp_mc,vsc_mc,'-o');
set(r1,'color',[1 0 0]);
hold on;
r2 = plot(temp_sd,vsc_sd,'-^');
set(r2,'color',[0 0 1]);
hold on;
r3 = plot(temp_cf,vsc_cf,'-s');
set(r3,'color',[0 .6 0]);
hold on;
r4 = plot(temp_csh,vsc_csh,'-p');
set(r4,'color',[.6 0 .6]);
hold on;
% r5 = plot(temp_mf,vsc_mf,'-d');
% set(r5,'color',[1 .5 0]);
% hold on;
r6 = plot(temp_bnt,vsc_bnt,'-*');
set(r6,'color',[.7 .7 .7]);
hold on;
r8 = plot(temp_fmc,vsc_fmc*.8,'-o');
set(r8,'color',[.4 .2 .8]);
hold on;

% r0 = plot(temp_wat,vsc_wat,'-+');
% set(r0,'color',[0 0 0]);
% hold on;

axis([15 95 1E-1 1E2]);
set(gca,'YScale','log');
xlabel('Temperature (C^{o})');ylabel('Viscosity (mPa*s)');
% legend('WCA 100 - 15 lb/bbl - WCA 300 - 40 lb/bbl','WCA 200 - 15 lb/bbl - WCA 300 - 40 lb/bbl')

%% Section 2a: Find % Viscosity Reduction

vsci_mc = (vsc_mc(1:3))
vsci_sd = (vsc_sd(2:4))
vsci_cf = (vsc_cf(1:3))
vsci_csh = (vsc_csh(1:3))
vsci_mf = (vsc_mf(2:4))
vsci_xg = (vsc_bnt(2:4))
vsci_wat = (vsc_wat(2:4))
vsci_wca1 = (vsc_wca1(2:4))
vsci_wca2 = (vsc_wca2(2:4))

vscf_mc =(vsc_mc(end-2:end))
vscf_sd = (vsc_sd(end-2:end))
vscf_cf = (vsc_cf(end-2:end))
vscf_csh = (vsc_csh(end-2:end))
vscf_mf = (vsc_mf(end-2:end))
vscf_xg = (vsc_bnt(end-2:end))
vscf_wat = (vsc_wat(end-2:end))
vscf_wca1 = (vsc_wca1(end-2:end))
vscf_wca2 = (vsc_wca2(end-2:end))

% vsci_mc = mean(vsc_mc(10:20));
% vsci_sd = mean(vsc_sd(10:20));
% vsci_cf = mean(vsc_cf(10:20));
% vsci_csh = mean(vsc_csh(10:20));
% vsci_mf = mean(vsc_mf(10:20));
% vsci_xg = mean(vsc_bnt(10:20));

% vscf_mc = mean(vsc_mc(340:350));
% vscf_sd = mean(vsc_sd(510:520));
% vscf_cf = mean(vsc_cf(675:685));
% vscf_csh = mean(vsc_csh(660:670));
% vscf_mf = mean(vsc_mf(720:730));
% vscf_xg = mean(vsc_bnt(660:670));

vscp_mc = vscf_mc./vsci_mc;
vscp_sd = vscf_sd./vsci_sd;
vscp_cf = vscf_cf./vsci_cf;
vscp_csh = vscf_csh./vsci_csh;
vscp_mf = vscf_mf./vsci_mf;
vscp_xg = vscf_xg./vsci_xg;
vscp_wat = vscf_wat./vsci_wat;
vscp_wca1 = vscf_wca1./vsci_wca1;
vscp_wca2 = vscf_wca2./vsci_wca2;

vscs_mc = std(vscp_mc);
vscs_sd = std(vscp_sd);
vscs_cf = std(vscp_cf);
vscs_csh = std(vscp_csh);
vscs_mf = std(vscp_mf);
vscs_xg = std(vscp_xg);
vscs_wat = std(vscp_wat);
vscs_wca1 = std(vscp_wca1);
vscs_wca2 = std(vscp_wca2);


% vscp = [(vscp_mc) (vscp_sd) (vscp_cf) (vscp_csh) (vscp_mf) (vscp_xg)];
vscp = 100*[mean(vscp_mc) mean(vscp_sd) mean(vscp_cf) mean(vscp_csh) mean(vscp_mf) mean(vscp_xg) mean(vscp_wat) mean(vscp_wca1) mean(vscp_wca2)];
vscpr = 100*([1 1 1 1 1 1 1 1 1]-[mean(vscp_mc) mean(vscp_sd) mean(vscp_cf) mean(vscp_csh) mean(vscp_mf) mean(vscp_xg) mean(vscp_wat) mean(vscp_wca1) mean(vscp_wca2)]);
vscs = 100*[vscs_mc vscs_sd vscs_cf vscs_csh vscs_mf vscs_xg vscs_wat vscs_wca1 vscs_wca2];
x1 = [1;3;8;65;11;2;37];

%%

% figure(3);
r1 = errorbar(vscpr,vscs,'x');
set(r1,'linewidth',2);
axis([0 9 0 100]);


